Package: grails.dev.commands

## [Groovy] Trait ApplicationCommand

- grails.dev.commands.ApplicationCommand

- All Implemented Interfaces and Traits:
    Described, Named

      trait ApplicationCommand

  Represents a command that is run against the org.springframework.context.ApplicationContext

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ConfigurableApplicationContext` | `applicationContext`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.springframework.context.ConfigurableApplicationContext` | `getApplicationContext()`
    `` | `java.lang.String` | `getDescription()`
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext executionContext)` Handles the command
    `` | `void` | `setApplicationContext(org.springframework.context.ConfigurableApplicationContext applicationContext)` Sets the application context of the command

- - ### Property Detail

    - #### org.springframework.context.ConfigurableApplicationContext applicationContext

  - ### Method Detail

    - #### org.springframework.context.ConfigurableApplicationContext getApplicationContext()

    - #### @java.lang.Override java.lang.String getDescription()

    - #### @java.lang.Override java.lang.String getName()

    - #### boolean handle(ExecutionContext executionContext)

      Handles the command

      Parameters:
        `executionContext` - The execution context
      Returns:
        True if the command was successful

    - #### void setApplicationContext(org.springframework.context.ConfigurableApplicationContext applicationContext)

      Sets the application context of the command

      Parameters:
        `applicationContext` - The application context